Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#52425 - [texlive-core] optional dependencies

Attached to Project: Arch Linux
Opened by Phil Ruffwind (Rufflewind) - Saturday, 07 January 2017, 22:04 GMT
Last edited by Rémy Oudompheng (remyoudompheng) - Monday, 07 December 2020, 15:46 GMT
Task Type Feature Request
Category Packages: Extra
Status Closed
Assigned To Rémy Oudompheng (remyoudompheng)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:
To use latexindent, the following perl dependencies are required:

perl-file-homedir (AUR)
perl-yaml-tiny

It might be a good idea to add them to optdepends (at least perl-yaml-tiny, I guess, since the other one is AUR).
This task depends upon

Closed by  Rémy Oudompheng (remyoudompheng)
Monday, 07 December 2020, 15:46 GMT
Reason for closing:  Duplicate
Additional comments about closing:  Duplicate of #60210
Comment by Jagannathan Tiruvallur Eachambadi (j605) - Monday, 21 August 2017, 10:21 GMT
perl-yaml-tiny is now in community, can this be added to optdepends. But still perl-file-homedir is only available in the AUR so I don't know if this bug can be closed.
Comment by beojan (beojan) - Thursday, 16 November 2017, 10:37 GMT
perl-unicode-linebreak is also required.
Comment by Frédéric Simonis (fsimonis) - Sunday, 08 April 2018, 12:22 GMT
perl-log-dispatch (AUR) is another requirement
Comment by Han Luo (machsix) - Tuesday, 23 July 2019, 15:50 GMT
I installed the following ones to make it work

perl-specio, perl-namespace-autoclean, perl-log-log4perl, perl-eval-closure, perl-params-validationcompiler, perl-yaml-tiny, perl-log-dispatch (AUR), perl-unicode-linebreak

Loading...